Bug 890188 - Libnatspec patch to handle non-ascii encodings
Summary: Libnatspec patch to handle non-ascii encodings
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: unzip
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: pstodulk
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-25 15:51 UTC by Ivan Romanov
Modified: 2015-10-30 21:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-10-30 18:28:10 UTC


Attachments (Terms of Use)
libnatspec patch (12.73 KB, patch)
2012-12-25 15:51 UTC, Ivan Romanov
no flags Details | Diff

Description Ivan Romanov 2012-12-25 15:51:36 UTC
Created attachment 668949 [details]
libnatspec patch

Unzip can handle filenames in archive only with ascii encoding. All symbols with code > 127 it replaces with '?'. Upstream promised to fix this more than 2 years ago. But new upstream version did'n come. Seems upstream is dead.

I wrote a patch which add -I and -O command line options to setup ISO and OEM encodings. It options was agreed with upstream. Also a like patch uses other linux distributions to fix encodings problem in unzip package. This patch uses libnatspec library. So you need to add this to BR.

Comment 1 Ivan Romanov 2012-12-25 15:58:22 UTC
The patch was tested in RFRemix distribution. It works fine for two years.

Comment 2 Ivan Romanov 2013-07-31 16:29:03 UTC
So. Any news? Do you agree with this patch?

Comment 3 Michal Luscon 2013-08-13 11:26:24 UTC
Hi,
I am currently waiting for upstream response. If they incorporate your patch into the future Unzip release, I will include it into Fedora.

Comment 4 Ivan Romanov 2013-08-13 11:35:23 UTC
I afraid you won't get any responce. Upstream dead.

Comment 5 Michal Luscon 2013-08-13 11:39:28 UTC
Steven Schweda seems to be active on sourceforge.

Comment 6 Fedora End Of Life 2013-12-21 15:15:53 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Ivan Romanov 2013-12-21 16:50:21 UTC
So will be it applyed?

Comment 8 Fedora End Of Life 2014-02-05 22:56:11 UTC
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 9 Fedora Admin XMLRPC Client 2014-09-30 12:53:58 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 10 Jan Kurik 2015-07-15 14:54:28 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 11 pstodulk 2015-10-30 18:28:10 UTC
It is fixed in rawhide already. Used upstream solution of this.

Comment 12 Ivan Romanov 2015-10-30 20:54:52 UTC
Please provide link to upstream solution.

Comment 13 pstodulk 2015-10-30 21:11:52 UTC
Link to fixed upstream solution:
https://bugzilla.redhat.com/attachment.cgi?id=992063

I apologize that I don't want to search it in upstream's forum now. If used patch doesn't solve this problem, feel free to reopen it again.

If you want to try this solution in older Fedora, you can try test this package from copr:
 https://copr.fedoraproject.org/coprs/pstodulk/unzip/

Also you can use:
# dnf copr enable pstodulk/unzip

It's originally for testing of support of segmented archives but contains all from rawhide, so you can try it.


Note You need to log in before you can comment on or make changes to this bug.